Subject: [bug#70759] [PATCH guix-artwork] website: Add post about ‘guix git authenticate’.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 05 May 2024 18:31:07 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> It is all well-written.  I only notice that there are typewriter
> apostrophes like “you've” mixed with typographic apostrophes “you’d”.

Oops!  Fixed locally.

> Ludovic Courtès <[email-masked]> writes:
>> +# Why you should care
>
> It is good how this lists all the concepts that are insufficient. :)
> I think the explanations suffice.

Great, I’m glad it makes sense.  There seems to be a common perception
that “there’s no problem” so if this section manages to dispel that
myth, that’s good.

> However I hesitate here:
>
>> +	 ```
>> +	 git checkout --orphan keyring
>> +	 git reset --hard
>> +	 gpg --export [email-masked] > alice.key
>> +	 …
>> +	 git add *.key
>> +	 git commit -a -m "Add committer keys."
>
> Why the -a?

Oh you’re right, it’s unnecessary.  Removed!

Thanks for the quick feedback!

Ludo’.